zhanghaijun před 2 roky
rodič
revize
500a26343a

+ 57 - 0
train-server/src/assembly/assembly.xml

@@ -0,0 +1,57 @@
+<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0"
+          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+          xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0 http://maven.apache.org/xsd/assembly-1.1.0.xsd">
+    <id>package</id>
+    <formats>
+        <format>zip</format>
+    </formats>
+    <includeBaseDirectory>true</includeBaseDirectory>
+    <fileSets>
+        <!--
+            0755-> 即用户具有读/写/执行权限,组用户和其它用户具有读写权限;
+            0644-> 即用户具有读写权限,组用户和其它用户具有只读权限;
+        -->
+        <fileSet>
+            <directory>src/assembly/bin</directory>
+            <outputDirectory>bin</outputDirectory>
+            <fileMode>0755</fileMode>
+            <lineEnding>unix</lineEnding>
+            <filtered>true</filtered>
+            <includes>
+                <include>*.sh</include>
+            </includes>
+        </fileSet>
+        <fileSet>
+            <directory>src/assembly/bin</directory>
+            <outputDirectory>bin</outputDirectory>
+            <filtered>true</filtered>
+            <includes>
+                <include>*.bat</include>
+                <include>*.vbs</include>
+            </includes>
+        </fileSet>
+        <fileSet>
+            <directory>${project.build.directory}/classes</directory>
+            <outputDirectory>/conf</outputDirectory>
+            <includes>
+                <include>application.*</include>
+                <include>*.yml</include>
+                <include>*.properties</include>
+            </includes>
+        </fileSet>
+        <fileSet>
+            <directory>${project.build.directory}</directory>
+            <outputDirectory>/</outputDirectory>
+            <includes>
+                <include>*.jar</include>
+            </includes>
+        </fileSet>
+    </fileSets>
+    <dependencySets>
+        <dependencySet>
+            <useProjectArtifact>false</useProjectArtifact>
+            <outputDirectory>lib</outputDirectory>
+            <outputFileNameMapping>${artifact.artifactId}-${artifact.baseVersion}.${artifact.extension}</outputFileNameMapping>
+        </dependencySet>
+    </dependencySets>
+</assembly>

+ 33 - 0
train-server/src/assembly/bin/date.bat

@@ -0,0 +1,33 @@
+@echo off
+chcp 65001 > nul
+setlocal EnableDelayedExpansion
+
+rem 设置目标日期和时间
+set "targetDateTime=2023-10-09 23:59:59"
+rem 设置要显示的消息,使用 vbNewLine 来表示换行
+set "message=这是第一行消息" & vbNewLine & "这是第二行消息"
+
+rem 获取当前日期和时间
+for /f "delims=" %%a in ('wmic os get LocalDateTime ^| find "."') do set currentDateTime=%%a
+
+rem 比较日期和时间
+if "%currentDateTime%" gtr "%targetDateTime%" (
+    echo 授权已过期,请联系管理员
+    pause
+) else (
+    echo 授权尚未过期
+    rem 在这里执行授权未过期时的操作
+)
+
+rem 比较日期和时间
+if "%currentDateTime%" gtr "%targetDateTime%" (
+    echo 授权已过期,请联系管理员
+    cscript msgbox.vbs "轨道交通插件 & 授权已过期,请联系管理员"
+) else (
+    echo 授权尚未过期
+    cscript msgbox.vbs "轨道交通插件 & 授权已过期,请联系管理员"
+
+    rem 在这里执行授权未过期时的操作
+)
+
+endlocal

+ 3 - 0
train-server/src/assembly/bin/msgbox.vbs

@@ -0,0 +1,3 @@
+Set objShell = CreateObject("WScript.Shell")
+strMessage = WScript.Arguments(0)
+objShell.Popup strMessage, 0, "提示", 48

+ 12 - 0
train-server/src/assembly/bin/run.bat

@@ -0,0 +1,12 @@
+@echo off
+chcp 65001
+
+:: Get the directory of the script
+for %%I in ("%~dp0.") do set "SCRIPT_DIR=%%~fI"
+:: Change directory to the parent directory of the script
+cd /d "%SCRIPT_DIR%"
+
+start /B /MIN cmd /C stop.bat 8086
+timeout /t 1 /nobreak
+start /MIN cmd /C start.bat > NUL 2>&1
+echo Jar程序已在后台运行。

+ 34 - 0
train-server/src/assembly/bin/start-dev.bat

@@ -0,0 +1,34 @@
+@echo off
+chcp 65001
+
+:: Get the directory of the script
+for %%I in ("%~dp0.") do set "SCRIPT_DIR=%%~fI"
+:: Change directory to the parent directory of the script
+cd /d "%SCRIPT_DIR%\.."
+
+:: Check if Java is installed
+REM set "javaPath=C:\path\to\java\bin\java.exe"
+set "javaPath=java"
+set "plugin.dev=true"
+%javaPath% -version >nul 2>&1
+if errorlevel 1 (
+    echo Java is not installed or not found.
+    echo Please install Java and try again.
+    exit /b 1
+)
+if not exist "train-server.jar" (
+    echo The file train-server.jar does not exist.
+    exit /b 1
+)
+if not exist "./conf/application.yml" (
+    echo The file config/application.yml does not exist.
+    exit /b 1
+)
+if not exist "lib" (
+    echo The directory lib does not exist.
+    exit /b 1
+)
+:: rest of your script
+%javaPath% -Djava.security.egd=file:/dev/./urandom -Dloader.path=./lib -jar train-server.jar --spring.config.location=./conf/application.yml
+
+pause

+ 33 - 0
train-server/src/assembly/bin/start.bat

@@ -0,0 +1,33 @@
+@echo off
+chcp 65001
+
+:: Get the directory of the script
+for %%I in ("%~dp0.") do set "SCRIPT_DIR=%%~fI"
+:: Change directory to the parent directory of the script
+cd /d "%SCRIPT_DIR%\.."
+
+:: Check if Java is installed
+set "javaPath=D:\windows\app\Java\jdk-17.0.8\bin\java.exe"
+REM set "javaPath=java"
+%javaPath% -version >nul 2>&1
+if errorlevel 1 (
+    echo Java is not installed or not found.
+    echo Please install Java and try again.
+    exit /b 1
+)
+if not exist "train-server.jar" (
+    echo The file train-server.jar does not exist.
+    exit /b 1
+)
+if not exist "./conf/application.yml" (
+    echo The file config/application.yml does not exist.
+    exit /b 1
+)
+if not exist "lib" (
+    echo The directory lib does not exist.
+    exit /b 1
+)
+:: rest of your script
+%javaPath% -Djava.security.egd=file:/dev/./urandom -Dloader.path=./lib -jar train-server.jar --spring.config.location=./conf/application.yml
+
+pause

+ 35 - 0
train-server/src/assembly/bin/start.sh

@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# Get the directory of the script
+SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+
+# Change directory to the parent directory of the script
+cd "$SCRIPT_DIR/.."
+
+# Check if Java is installed
+if ! type java >/dev/null 2>&1; then
+    echo Java is not installed or not found.
+    echo Please install Java and try again.
+    exit 1
+fi
+
+# Check if train-server.jar file exists
+if [ ! -f "train-server.jar" ]; then
+    echo The file train-server.jar does not exist.
+    exit 1
+fi
+
+# Check if application.yml file exists
+if [ ! -f "./conf/application.yml" ]; then
+    echo The file config/application.yml does not exist.
+    exit 1
+fi
+
+# Check if lib directory exists
+if [ ! -d "lib" ]; then
+    echo The directory lib does not exist.
+    exit 1
+fi
+
+JAVA_OPTS=" -server -Xmx2g -Xms2g -Xmn256m"
+exec java $JAVA_OPTS -Duser.timezone=Asia/Shanghai -Djava.security.egd=file:/dev/./urandom -Dloader.path=./lib -jar train-server.jar --spring.config.location=./conf/application.yml

+ 25 - 0
train-server/src/assembly/bin/stop.bat

@@ -0,0 +1,25 @@
+@echo off
+chcp 65001
+
+setlocal
+
+REM 设置默认端口号
+set "port=%1"
+if "%port%"=="" (
+    set "port=8086"
+)
+echo 检测端口:%port%
+REM 使用 netstat 和 findstr 命令获取占用特定端口的进程信息
+set "pid="
+for /f "tokens=5" %%a in ('netstat -ano ^| findstr "\[::\]:%port%"') do (
+    set "pid=%%a"
+)
+REM 显示找到的PID
+if not "%pid%"=="" (
+	echo 端口(%port%)已经被线程(%pid%)占用。
+	taskkill /F /PID %pid%
+) else (
+    echo No process found on port %port%.
+)
+
+endlocal

+ 178 - 0
train-server/src/assembly/bin/wait-for-it.sh

@@ -0,0 +1,178 @@
+#!/bin/bash
+# Use this script to test if a given TCP host/port are available
+## https://github.com/vishnubob/wait-for-it/blob/master/wait-for-it.sh
+
+WAITFORIT_cmdname=${0##*/}
+
+echoerr() { if [[ $WAITFORIT_QUIET -ne 1 ]]; then echo "$@" 1>&2; fi; }
+
+usage() {
+	cat <<USAGE >&2
+Usage:
+    $WAITFORIT_cmdname host:port [-s] [-t timeout] [-- command args]
+    -h HOST | --host=HOST       Host or IP under test
+    -p PORT | --port=PORT       TCP port under test
+                                Alternatively, you specify the host and port as host:port
+    -s | --strict               Only execute subcommand if the test succeeds
+    -q | --quiet                Don't output any status messages
+    -t TIMEOUT | --timeout=TIMEOUT
+                                Timeout in seconds, zero for no timeout
+    -- COMMAND ARGS             Execute command with args after the test finishes
+USAGE
+	exit 1
+}
+
+wait_for() {
+	if [[ $WAITFORIT_TIMEOUT -gt 0 ]]; then
+		echoerr "$WAITFORIT_cmdname: waiting $WAITFORIT_TIMEOUT seconds for $WAITFORIT_HOST:$WAITFORIT_PORT"
+	else
+		echoerr "$WAITFORIT_cmdname: waiting for $WAITFORIT_HOST:$WAITFORIT_PORT without a timeout"
+	fi
+	WAITFORIT_start_ts=$(date +%s)
+	while :; do
+		if [[ $WAITFORIT_ISBUSY -eq 1 ]]; then
+			nc -z $WAITFORIT_HOST $WAITFORIT_PORT
+			WAITFORIT_result=$?
+		else
+			(echo -n >/dev/tcp/$WAITFORIT_HOST/$WAITFORIT_PORT) >/dev/null 2>&1
+			WAITFORIT_result=$?
+		fi
+		if [[ $WAITFORIT_result -eq 0 ]]; then
+			WAITFORIT_end_ts=$(date +%s)
+			echoerr "$WAITFORIT_cmdname: $WAITFORIT_HOST:$WAITFORIT_PORT is available after $((WAITFORIT_end_ts - WAITFORIT_start_ts)) seconds"
+			break
+		fi
+		sleep 1
+	done
+	return $WAITFORIT_result
+}
+
+wait_for_wrapper() {
+	# In order to support SIGINT during timeout: http://unix.stackexchange.com/a/57692
+	if [[ $WAITFORIT_QUIET -eq 1 ]]; then
+		timeout $WAITFORIT_BUSYTIMEFLAG $WAITFORIT_TIMEOUT $0 --quiet --child --host=$WAITFORIT_HOST --port=$WAITFORIT_PORT --timeout=$WAITFORIT_TIMEOUT &
+	else
+		timeout $WAITFORIT_BUSYTIMEFLAG $WAITFORIT_TIMEOUT $0 --child --host=$WAITFORIT_HOST --port=$WAITFORIT_PORT --timeout=$WAITFORIT_TIMEOUT &
+	fi
+	WAITFORIT_PID=$!
+	trap "kill -INT -$WAITFORIT_PID" INT
+	wait $WAITFORIT_PID
+	WAITFORIT_RESULT=$?
+	if [[ $WAITFORIT_RESULT -ne 0 ]]; then
+		echoerr "$WAITFORIT_cmdname: timeout occurred after waiting $WAITFORIT_TIMEOUT seconds for $WAITFORIT_HOST:$WAITFORIT_PORT"
+	fi
+	return $WAITFORIT_RESULT
+}
+
+# process arguments
+while [[ $# -gt 0 ]]; do
+	case "$1" in
+	*:*)
+		WAITFORIT_hostport=(${1//:/ })
+		WAITFORIT_HOST=${WAITFORIT_hostport[0]}
+		WAITFORIT_PORT=${WAITFORIT_hostport[1]}
+		shift 1
+		;;
+	--child)
+		WAITFORIT_CHILD=1
+		shift 1
+		;;
+	-q | --quiet)
+		WAITFORIT_QUIET=1
+		shift 1
+		;;
+	-s | --strict)
+		WAITFORIT_STRICT=1
+		shift 1
+		;;
+	-h)
+		WAITFORIT_HOST="$2"
+		if [[ $WAITFORIT_HOST == "" ]]; then break; fi
+		shift 2
+		;;
+	--host=*)
+		WAITFORIT_HOST="${1#*=}"
+		shift 1
+		;;
+	-p)
+		WAITFORIT_PORT="$2"
+		if [[ $WAITFORIT_PORT == "" ]]; then break; fi
+		shift 2
+		;;
+	--port=*)
+		WAITFORIT_PORT="${1#*=}"
+		shift 1
+		;;
+	-t)
+		WAITFORIT_TIMEOUT="$2"
+		if [[ $WAITFORIT_TIMEOUT == "" ]]; then break; fi
+		shift 2
+		;;
+	--timeout=*)
+		WAITFORIT_TIMEOUT="${1#*=}"
+		shift 1
+		;;
+	--)
+		shift
+		WAITFORIT_CLI=("$@")
+		break
+		;;
+	--help)
+		usage
+		;;
+	*)
+		echoerr "Unknown argument: $1"
+		usage
+		;;
+	esac
+done
+
+if [[ "$WAITFORIT_HOST" == "" || "$WAITFORIT_PORT" == "" ]]; then
+	echoerr "Error: you need to provide a host and port to test."
+	usage
+fi
+
+WAITFORIT_TIMEOUT=${WAITFORIT_TIMEOUT:-20}
+WAITFORIT_STRICT=${WAITFORIT_STRICT:-0}
+WAITFORIT_CHILD=${WAITFORIT_CHILD:-0}
+WAITFORIT_QUIET=${WAITFORIT_QUIET:-0}
+
+# Check to see if timeout is from busybox?
+WAITFORIT_TIMEOUT_PATH=$(type -p timeout)
+WAITFORIT_TIMEOUT_PATH=$(realpath $WAITFORIT_TIMEOUT_PATH 2>/dev/null || readlink -f $WAITFORIT_TIMEOUT_PATH)
+
+WAITFORIT_BUSYTIMEFLAG=""
+if [[ $WAITFORIT_TIMEOUT_PATH =~ "busybox" ]]; then
+	WAITFORIT_ISBUSY=1
+	# Check if busybox timeout uses -t flag
+	# (recent Alpine versions don't support -t anymore)
+	if timeout &>/dev/stdout | grep -q -e '-t '; then
+		WAITFORIT_BUSYTIMEFLAG="-t"
+	fi
+else
+	WAITFORIT_ISBUSY=0
+fi
+
+if [[ $WAITFORIT_CHILD -gt 0 ]]; then
+	wait_for
+	WAITFORIT_RESULT=$?
+	exit $WAITFORIT_RESULT
+else
+	if [[ $WAITFORIT_TIMEOUT -gt 0 ]]; then
+		wait_for_wrapper
+		WAITFORIT_RESULT=$?
+	else
+		wait_for
+		WAITFORIT_RESULT=$?
+	fi
+fi
+
+if [[ $WAITFORIT_CLI != "" ]]; then
+	if [[ $WAITFORIT_RESULT -ne 0 && $WAITFORIT_STRICT -eq 1 ]]; then
+		echoerr "$WAITFORIT_cmdname: strict mode, refusing to execute subprocess"
+		exit $WAITFORIT_RESULT
+	fi
+	exec "${WAITFORIT_CLI[@]}"
+else
+	exit $WAITFORIT_RESULT
+fi

+ 1 - 1
train-web/types/auto-imports.d.ts

@@ -297,7 +297,7 @@ declare global {
 // for type re-export
 declare global {
   // @ts-ignore
-  export type { Component, ComponentPublicInstance, ComputedRef, ExtractDefaultPropTypes, ExtractPropTypes, ExtractPublicPropTypes, InjectionKey, PropType, Ref, VNode, WritableComputedRef } from 'vue'
+  export type { Component, ComponentPublicInstance, ComputedRef, InjectionKey, PropType, Ref, VNode } from 'vue'
 }
 // for vue template auto import
 import { UnwrapRef } from 'vue'